<?php
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/5/9
 * Time: 17:20
 */
namespace App\Http\Controllers;

class ConfigController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }
    public function index()
    {
        return [
            //是否开启
            'is_open' => [
                '1' => '打开',
                '0' => '关闭',
                ],
            'status' => [
                '1' => '启用',
                '0' => '禁用',
                ],
            //配送方式
            'express_type' => [
                '1' => '自提',
                '2' => '快递',
                '0' => '全部',
            ],
                //储存方式
                'store_ids' => [
                    '1' => '冷冻',
                    '2' => '冷藏',
                    '0' => '常温',
                ],
                //对应模板
                'apply_type' => [
                    '1' => '菜市场',
                    '0' => '团购',
                ],
                //版块类型:
                'area_type' => [
                    '1' => '专题广告',
                    '2' => '商品楼层',
                    '3' => '分类专题(菜市场)',
                    '0' => 'banner',
                ],
                //商品展示方式
                'show_type' => [
                    '1' => '通栏大图',
                    '2' => '左右滑动',
                    '0' => '左图右字',
                ],
                //接货方式：
                'receive_type' => [
                    '1' => '手动确认接货',
                    '0' => '信任交付',
                ],
                //城市级别
                'level' => [
                    '1' => '省份province',
                    '2' => '市city',
                    '3' => '区县district',
                    '4' => '街道street',
                ],
                //链接方式
                'link_type' => [
                    '1' => '专题',
                    '0' => '仅展示',
                    '2' => '链接',
                ],
                //社区-banner类型
                'type' => [
                    '1' => '内容',
                    '0' => '纯展示',
                    '2' => '用户',
                    '3' => '活动',
                    '4' => '话题'
                ],
                //使用后台
                'use_background' =>[
                    '1' => '社区后台',
                    '0' => 'CMS'
                ],
                //通知群体
                'notice_groups' =>[
                    '1' => '原始用户',
                    '0' => '全部',
                    '2' => '正式用户',
                ],
                //消息类型
                'message_type' =>[
                    'star' => '星球活动消息',
                    'system' => '系统通知消息'
                ],
                //展示类型
                'message_show_type' =>[
                    'only_show' => '纯展示',
                    'user' => '用户',
                    'post' => '内容',
                    'activity' => '活动',
                    'topic' => '话题',
                ],
                //消息状态
                'message_status' =>[
                    '1' => '发送中',
                    '0' => '未发送',
                    '2' => '已发送未隐藏',
                    '3' => '已发送并隐藏',
                ],
        ];
    }
}