<?php

namespace App\Transformers;

use App\Models\ConfigCityManagement;
use League\Fractal\TransformerAbstract;

class CityTransformer extends TransformerAbstract
{

    public function transform(ConfigCityManagement $city)
    {
        return [
            'id'  => $city['id'],
            'province_id'  => $city['province_id'],
            'province_name'    => $city['province_name'],
            'city_name'    => $city['city_name'],
            'city_id'    => $city['city_id'],
            'express_type'    => $city['express_type'],
            'status'    => $city['status'],
        ];
    }
}