<?php

namespace App\Transformers;

use App\Models\PlatformContent;
use League\Fractal\TransformerAbstract;

class PlatformContentTransformer extends TransformerAbstract
{

    public function transform(PlatformContent $platformContent)
    {
        return [
            'id'  => $platformContent['id'],
            'title'    => $platformContent['title'],
            'content'    => $platformContent['content'],
            'updated_at'    => date($platformContent['updated_at']),
        ];
    }
}