<?php

namespace App\Transformers;

use App\Models\StarNews;
use League\Fractal\TransformerAbstract;

class StarNewsTransformer extends TransformerAbstract
{

    public function transform(StarNews $starNews)
    {
        return [
            'id'  => $starNews['id'],
            'title'    => $starNews['title'],
            'content'    => $starNews['content'],
            'cover_img'    => $starNews['cover_img'],
            'status'    => $starNews['status'],
            'sort'    => $starNews['sort'],
            'updated_at'    => date($starNews['updated_at']),
        ];
    }
}