<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019-06-12
 * Time: 16:38
 */

namespace App\Transformers;
use App\Models\Activities;
use League\Fractal\TransformerAbstract;
use Illuminate\Support\Carbon;

class ActivitiesTansformer extends TransformerAbstract{
    public function transform(Activities $activities)
    {
        return [
            'id'  => $activities['id'],
            'name'    => $activities['name'],
            'content'    => $activities['content'],
            'created_at' => Carbon::parse($activities['created_at'])->toDateTimeString(),
        ];
    }
}