<?php

namespace App\Transformers;

use App\Models\Banner;
use League\Fractal\TransformerAbstract;

class BannerTransformer extends TransformerAbstract
{

    public function transform(Banner $banner)
    {
        return [
            'id'  => $banner['id'],
            'tpl_id'  => $banner['tpl_id'],
            'name'    => $banner['name'],
            'link_content_id'    => $banner['link_content_id'],
            'image'    => $banner['image'],
            'type'    => $banner['type'],
            'use_background'    => $banner['use_background'],
            'rule'    => $banner['rule'],
            'status'    => $banner['status'],
            'is_open'    => $banner['is_open'],
            'updated_at'    => date($banner['updated_at']),
        ];
    }
}