<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdateExpressTypeConfigCityManagementTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('config_city_management', function (Blueprint $table) {
            $table->string('express_type',50)->comment('快递方式：0.全选；1.快递；2.自提')->change();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('config_city_management', function (Blueprint $table) {
            //
        });
    }
}
